Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.databaselookup
Class DatabaseLookupData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.databaselookup.DatabaseLookupData

All Implemented Interfaces:
  StepDataInterface

    public class DatabaseLookupData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`boolean` | `allEquals`
`int[]` | `conditions`
`org.pentaho.di.core.database.Database` | `db`
`boolean` | `hasDBCondition`
`boolean` | `isCanceled`
`int[]` | `keynrs`
`int[]` | `keynrs2`
`int[]` | `keytypes`
`Hashtable<org.pentaho.di.core.RowMetaAndData,org.pentaho.di.core.TimedRow>` | `look`
`org.pentaho.di.core.row.RowMetaInterface` | `lookupMeta`
`Object[]` | `nullif`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `returnMeta`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`DatabaseLookupData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### look

    public Hashtable<org.pentaho.di.core.RowMetaAndData,org.pentaho.di.core.TimedRow> look

### db

    public org.pentaho.di.core.database.Database db

### nullif

    public Object[] nullif

### keynrs

    public int[] keynrs

### keynrs2

    public int[] keynrs2

### keytypes

    public int[] keytypes

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### lookupMeta

    public org.pentaho.di.core.row.RowMetaInterface lookupMeta

### returnMeta

    public org.pentaho.di.core.row.RowMetaInterface returnMeta

### isCanceled

    public boolean isCanceled

### allEquals

    public boolean allEquals

### conditions

    public int[] conditions

### hasDBCondition

    public boolean hasDBCondition

Constructor Detail

### DatabaseLookupData

    public DatabaseLookupData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD